pointcloud_to_costmap:
  ros__parameters:
    cloud_topic_name: "/points_cropped"
    cells_per_meter: 10.0
    costmap_topic_name: "costmap"
    frame_id: "lidar"
    
    goal_point_topic_name: "planner_goal"
    point_array_topic_name: "planner_points"
    
    #checking distance for destination points
    check_y_min: 3 # start
    check_y: 25 # in front of kart
    check_x: 5 # out the sides of the kart
    
    #costmap grid size
    grid_x: 25.0
    grid_y: 25.0
    
    #costmap blur
    dilation_coefficient_x: 15.5
    dilation_coefficient_y: 29.0
    
    #cone point offset
    x_offset: -0.5
    y_offset: 0.0

    blur_kernel_size: 37
    blur_sigma_x: 35
    blur_sigma_y: 21
